package admin;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.FlowLayout;
import java.awt.GridLayout;
import java.awt.Image;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.File;
import java.io.IOException;
import java.sql.ResultSet;
import java.sql.Statement;
import java.util.Vector;

import javax.imageio.ImageIO;
import javax.swing.BorderFactory;
import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JComboBox;
import javax.swing.JDialog;
import javax.swing.JFileChooser;
import javax.swing.JLabel;
import javax.swing.JOptionPane;
import javax.swing.JPanel;
import javax.swing.JRadioButton;
import javax.swing.JTextField;
import javax.swing.border.EmptyBorder;
import javax.swing.filechooser.FileFilter;

import utils.DataUsers;
import utils.ExtensionFileFilter;
import utils.Global;

/**
 *  
 * @author jwdd
 * 
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this file,
 * You can obtain one at http://mozilla.org/MPL/2.0/.
 */
public class VentanaAdminCopiar extends JDialog implements ActionListener
{
	private JLabel frmLabel1, frmLabelOpt1Txt1, frmLabelOpt1Txt2, frmLabelOpt1Txt3;
	private JLabel frmLabelOpt2Txt1, frmLabelOpt2Txt2;
	private JButton frmFichero;
	private JTextField frmTxtFichero;
	private JButton[] frmUsuarios;
	private JButton frmCopiar;
	private JRadioButton frmChkInterno;
	private JRadioButton frmChkExterno;
	private JPanel panelSuperior, panelAux2, panelCentral, panelInferior, panelAux;
	private JPanel panelSuperior2, panelSuperior3;
	private Vector<String> usuariosSel;
	private JComboBox frmComboUsuario;
	private JComboBox frmComboFicheros;
	private final int PICT_SIZE = 30;
	private final int NMAXUSER = 27; // Número total de usuarios que se pueden crear
	private String selRutaFichero = null;
	private String selNombreFichero = null;
	private final String TXTINTERNO = Global.LANG.getString("vac_interno");
	private final String TXTEXTERNO = Global.LANG.getString("vac_externo");
	private final String TXTCOPIAR = Global.LANG.getString("vac_copiar");
	private final String TXTFICHERO = Global.LANG.getString("vac_fichero");
	private final String TITULO = Global.LANG.getString("vac_titulo");
	private final String TXTBTNEXPORTAR = Global.LANG.getString("vac_btnex" + "portar");
	private final String TXTINTERNO1 = Global.LANG.getString("vac_interno1");
	private final String TXTINTERNO2 = Global.LANG.getString("vac_interno2");
	private final String TXTINTERNO3 = Global.LANG.getString("vac_interno3");
	private final String TXTEXTERNO1 = Global.LANG.getString("vac_externo1");
	private final String TXTEXTERNO2 = Global.LANG.getString("vac_externo2");
	private final String TXTBUSCAR = Global.LANG.getString("vac_buscar");
	private final String TXTEXPORTAR = Global.LANG.getString("vac_exportar");
	private final String TXTFICHEROCOPIADO = Global.LANG.getString("vac_copiado");
	private static final Color COLORSELECCION = new Color(190, 215, 237);

	private VentanaAdminUsuarioSel padre = null;

	public VentanaAdminCopiar(VentanaAdminUsuarioSel vant)
	{
		this(900, 600, vant);
		try
		{
			setIconImage(ImageIO.read(new File(Global.IMG_FOLDER + Global.SEPARADOR_SYS + "favicon.png")));
		}
		catch (IOException e)
		{
			// TODO Auto-generated catch block
			System.out.println("No se puede abrir icono.");
			e.printStackTrace();
		}
		this.setTitle(TITULO);
	}

	public VentanaAdminCopiar(int wsize, int hsize, VentanaAdminUsuarioSel vant)
	{
		super(vant, true);
		try
		{
			setIconImage(ImageIO.read(new File(Global.IMG_FOLDER + Global.SEPARADOR_SYS + "favicon.png")));
		}
		catch (IOException e)
		{
			// TODO Auto-generated catch block
			System.out.println("No se puede abrir icono.");
			e.printStackTrace();
		}
		this.setDefaultCloseOperation(JDialog.DISPOSE_ON_CLOSE);
		this.setTitle(TITULO);

		padre = vant;

		usuariosSel = new Vector<String>();

		frmFichero = new JButton(TXTBUSCAR);
		frmFichero.setFont(Global.FONT_ADMIN_USER);
		frmFichero.setForeground(Global.COLOR_TEXTO_BOTON);
		ImageIcon iuser = new ImageIcon("img/folder_small.png");
		frmFichero.setIcon(iuser);

		frmTxtFichero = new JTextField(20);
		frmTxtFichero.setSize(50, 35);
		frmTxtFichero.setEditable(false);
		frmTxtFichero.setFont(Global.FONT_ADMIN_USER);
		frmTxtFichero.setEditable(false);

		frmCopiar = new JButton(TXTCOPIAR);
		frmCopiar.setFont(Global.FONT_ADMIN_BUTTON);
		frmCopiar.setForeground(Global.COLOR_TEXTO_BOTON);
		ImageIcon icopy = new ImageIcon("img/copy.png");
		frmCopiar.setIcon(icopy);

		frmLabelOpt1Txt1 = new JLabel(TXTINTERNO1);
		frmLabelOpt1Txt2 = new JLabel(TXTINTERNO2);
		frmLabelOpt1Txt3 = new JLabel(TXTINTERNO3);
		frmLabelOpt2Txt1 = new JLabel(TXTEXTERNO1);
		frmLabelOpt2Txt2 = new JLabel(TXTEXTERNO2);
		frmLabelOpt1Txt1.setFont(Global.FONT_ADMIN_USER);
		frmLabelOpt1Txt2.setFont(Global.FONT_ADMIN_USER);
		frmLabelOpt1Txt3.setFont(Global.FONT_ADMIN_USER);
		frmLabelOpt2Txt1.setFont(Global.FONT_ADMIN_USER);
		frmLabelOpt2Txt2.setFont(Global.FONT_ADMIN_USER);

		frmUsuarios = crearBotonesUsuarios();

		frmChkExterno = new JRadioButton();
		frmChkInterno = new JRadioButton();
		frmChkExterno.setBackground(Global.COLOR_CONTENIDO);
		frmChkInterno.setBackground(Global.COLOR_CONTENIDO);
		frmChkExterno.setFont(Global.FONT_ADMIN_USER);
		frmChkInterno.setFont(Global.FONT_ADMIN_USER);
		Vector<String> ve = mostrarUsuarios();
		frmComboUsuario = new JComboBox(ve);
		frmComboUsuario.setFont(Global.FONT_ADMIN_USER);
		frmComboUsuario.setBackground(Color.white);
		frmComboFicheros = new JComboBox();

		frmComboFicheros.setFont(Global.FONT_ADMIN_USER);
		frmComboFicheros.setMaximumRowCount(40); // tamaño maximo de nombre de documento
		this.setSize(wsize, hsize);
		this.setResizable(false);

		frmLabelOpt2Txt2.setVisible(false); // Por defecto
		frmLabelOpt1Txt2.setVisible(true);
		frmLabelOpt1Txt3.setVisible(true);
		frmCopiar.setEnabled(false);

		poblar();
		// this.pack()
		frmFichero.addActionListener(this);
		frmCopiar.addActionListener(this);
		frmComboUsuario.addActionListener(this);
		frmComboFicheros.addActionListener(this);
		frmChkExterno.addActionListener(this);
		frmChkInterno.addActionListener(this);

		frmLabelOpt1Txt2.setVisible(false);
		frmLabelOpt1Txt3.setVisible(false);
		frmComboFicheros.setVisible(false);

		seleccionarInterno();
	}

	private void seleccionarInterno()
	{
		frmChkInterno.setSelected(true);
		frmChkExterno.setSelected(false);
		// frmComboFicheros.setEnabled(true);
		// frmComboFicheros.setVisible(true);
		frmComboUsuario.setEnabled(true);
		frmComboUsuario.setVisible(true);
		// frmComboFicheros.setVisible(false);
		// frmComboFicheros.setVisible(false);
		frmComboUsuario.setSelectedIndex(0);
		frmFichero.setEnabled(false);
		frmFichero.setVisible(false);
		frmLabelOpt2Txt2.setVisible(false);
		// frmLabelOpt1Txt2.setVisible(true);
		// frmLabelOpt1Txt3.setVisible(true);
		// frmTxtFichero.setText("                                  ");
		frmTxtFichero.setVisible(false);
		selNombreFichero = null;
		selRutaFichero = null;
		// frmComboFicheros.setSelectedItem(null);
	}

	private void seleccionarExterno()
	{
		frmLabelOpt1Txt2.setVisible(false);
		frmLabelOpt1Txt3.setVisible(false);
		frmChkExterno.setSelected(true);
		frmChkInterno.setSelected(false);
		frmComboFicheros.setVisible(false);
		// frmComboFicheros.setEnabled(false);
		frmComboUsuario.setEnabled(false);
		frmComboUsuario.setVisible(false);
		frmFichero.setEnabled(true);
		frmFichero.setVisible(true);

		frmLabelOpt2Txt2.setVisible(true);
		frmLabelOpt1Txt2.setVisible(false);
		frmLabelOpt1Txt3.setVisible(false);

		frmTxtFichero.setVisible(true);
		selNombreFichero = null;
		selRutaFichero = null;
		cambiarEstadoBoton("666"); // para que me deje seleccionar todos los usuarios y me ponga disable en exportar
	}

	private Vector<String> mostrarUsuarios()
	{
		ResultSet rs = null;
		Vector<String> ve = new Vector<String>();

		ve.add("");
		try
		{
			rs = DataUsers.getUserListWithDocs();
			while (rs.next())
			{
				String id = rs.getString("ID");
				String nameuser = rs.getString("NAMEUSER");
				if(nameuser.length() > 15) nameuser = nameuser.substring(0, 14) + "..."; // Por si el nombre del fichero es muy grande
				String elem = id + " - " + nameuser;
				ve.add(elem);
			}
			rs.close();
		}
		catch (Exception e)
		{
			System.out.println(e);
		}
		return ve;
	}

	private Vector<String> mostrarFicherosUsuario(String id_user)
	{
		String sql = null;
		Statement stat = null;
		ResultSet rs = null;
		Vector<String> ve = new Vector<String>();

		sql = "SELECT ID,TITLE FROM DOCS WHERE USER_ID=" + id_user + " ORDER BY DATE_MODIFICATION DESC";

		try
		{
			stat = Global.DB_HANDLER.getStatement();
			rs = stat.executeQuery(sql);
			while (rs.next()) // Si existe el usuario en la BD
			{
				String id = rs.getString("ID");
				String title = rs.getString("TITLE");
				if(title.length() > 23) title = title.substring(0, 22) + "..."; // Por si el nombre del fichero es muy grande
				String elem = id + " - " + title;
				ve.add(elem);
			}
			rs.close();
			//stat.close();
			return ve;
		}
		catch (Exception e)
		{
			e.printStackTrace();
		}

		return null;
	}

	private JButton crearBotonExportar()
	{
		JButton tempButton = new JButton();
		String ruta = Global.IMG_FOLDER + File.separator + "exportar.png";
		int nuser = DataUsers.countUsers();
		ImageIcon iPicto = new ImageIcon(ruta);
		Image img = iPicto.getImage();
		int tampict = tamImgUsuario(nuser);
		Image newimg = img.getScaledInstance(tampict, tampict, java.awt.Image.SCALE_SMOOTH);
		ImageIcon newIcon = new ImageIcon(newimg);
		tempButton.setIcon(newIcon);
		tempButton.setBorderPainted(false);

		tempButton.setHorizontalTextPosition(JButton.CENTER);
		tempButton.setVerticalTextPosition(JButton.BOTTOM);
		tempButton.setText(TXTBTNEXPORTAR);
		tempButton.setActionCommand("666");
		tempButton.setToolTipText(TXTBTNEXPORTAR);

		return tempButton;
	}

	private void cambiarEstadoBoton(String iduser)
	{
		for (int i = 0; i < frmUsuarios.length; i++) // Quita la selección al elemento con anterioridad pulsado
		{
			if(!frmUsuarios[i].isEnabled())
			{
				frmUsuarios[i].setEnabled(true);
			}
		}

		for (int i = 0; i < frmUsuarios.length; i++) // Marca el usuario
		{
			if(frmUsuarios[i].getActionCommand().equals(iduser))
			{
				frmUsuarios[i].setEnabled(false);
				frmUsuarios[i].setOpaque(true);
				frmUsuarios[i].setContentAreaFilled(false);
				frmUsuarios[i].setBackground(Global.COLOR_CONTENIDO);

				usuariosSel.remove(iduser);
			}
		}
	}

	private JButton[] crearBotonesUsuarios()
	{
		int i = 0;
		ResultSet users = null;
		int nuser = DataUsers.countUsers();
		JButton[] botones = new JButton[nuser + 1]; // Mas el boton exportar

		botones[i] = crearBotonExportar();

		users = DataUsers.userList();
		try
		{
			if(users != null)
			{
				while (users.next())
				{
					i++;
					JButton tempButton = new JButton();
					String ruta = Global.USERS_FOLDER + File.separator + users.getString("ID") + File.separator + Global.USER_AVATAR + Global.PICT_EXT_PUNTO;
					ImageIcon iPicto = new ImageIcon(ruta);
					Image img = iPicto.getImage();
					int tampict = tamImgUsuario(nuser);
					Image newimg = img.getScaledInstance(tampict, tampict, java.awt.Image.SCALE_SMOOTH);
					ImageIcon newIcon = new ImageIcon(newimg);
					tempButton.setIcon(newIcon);
					tempButton.setBorderPainted(false);
					tempButton.setBackground(Global.COLOR_CONTENIDO);
					tempButton.setHorizontalTextPosition(JButton.CENTER);
					tempButton.setVerticalTextPosition(JButton.BOTTOM);
					tempButton.setText(users.getString("NAMEUSER"));
					tempButton.setToolTipText(users.getString("NAMEUSER"));
					tempButton.setActionCommand(users.getString("ID"));
					// Guardo el id del usuario
					botones[i] = tempButton;
				}
				users.close();

				return botones;
			}
		}
		catch (Exception e)
		{
			e.printStackTrace();
		}
		return null;
	}

	private void poblar()
	{
		// panelSuperior = new JPanel(new GridLayout(3,1));
		panelSuperior = new JPanel(new GridLayout(2, 1));
		panelSuperior2 = new JPanel(new FlowLayout(FlowLayout.LEFT));
		panelSuperior3 = new JPanel(new FlowLayout(FlowLayout.LEFT));

		// panelSuperior2 - copiar de un usuario a otros usuarios
		panelSuperior2.add(frmChkInterno);
		panelSuperior2.add(frmLabelOpt1Txt1);
		panelSuperior2.add(frmComboUsuario);
		panelSuperior2.add(frmLabelOpt1Txt2);
		panelSuperior2.add(frmComboFicheros);
		panelSuperior2.add(frmLabelOpt1Txt3);

		// panelSuperior3 - copiar un fichero externo a otros usuarios
		panelSuperior3.add(frmChkExterno);
		panelSuperior3.add(frmLabelOpt2Txt1);
		panelSuperior3.add(frmTxtFichero);
		panelSuperior3.add(frmFichero);
		panelSuperior3.add(frmLabelOpt2Txt2);

		JLabel jTitulo = new JLabel(TITULO);
		jTitulo.setFont(Global.FONT_ADMIN_TITLE);
		jTitulo.setForeground(Color.white);
		ImageIcon iPicto = new ImageIcon("img" + File.separator + "superuser.png");
		Image img = iPicto.getImage();
		Image newimg = img.getScaledInstance(75, 75, java.awt.Image.SCALE_SMOOTH);
		ImageIcon iUser = new ImageIcon(newimg);
		jTitulo.setIcon(iUser);
		jTitulo.setBorder(new EmptyBorder(0, 0, 15, 0));

		panelSuperior2.setBorder(new EmptyBorder(10, 20, 0, 20));
		panelSuperior2.setBackground(Global.COLOR_CONTENIDO);
		panelSuperior3.setBackground(Global.COLOR_CONTENIDO);

		panelSuperior3.setBorder(new EmptyBorder(0, 20, 0, 20));

		panelAux = new JPanel(new GridLayout(2, 1));
		panelAux.add(panelSuperior2);
		panelAux.add(panelSuperior3);

		panelSuperior.add(jTitulo);
		panelSuperior.add(panelAux);
		panelSuperior.setBackground(Global.COLOR_FONDO);
		panelSuperior.setBorder(new EmptyBorder(15, 20, 10, 20));

		panelCentral = new JPanel(new GridLayout(3, 9, 1, 1)); // Filas,Columnas
		panelCentral.setBackground(Color.gray);
		panelCentral.setBorder(BorderFactory.createMatteBorder(1, 20, 1, 20, Global.COLOR_FONDO));

		for (int i = 0; i < frmUsuarios.length; i++)
		{
			panelCentral.add(frmUsuarios[i]);
			frmUsuarios[i].addActionListener(this);
			frmUsuarios[i].setOpaque(true);
			frmUsuarios[i].setContentAreaFilled(false);
			frmUsuarios[i].setBackground(Color.red);
			frmUsuarios[i].setFont(Global.FONT_ADMIN_USER);
		}

		panelInferior = new JPanel(new FlowLayout(FlowLayout.CENTER));
		panelInferior.add(frmCopiar);
		panelInferior.setBorder(new EmptyBorder(15, 20, 15, 20));
		panelInferior.setBackground(Global.COLOR_FONDO);

		this.getContentPane().add(panelSuperior, BorderLayout.NORTH);
		this.getContentPane().add(panelCentral, BorderLayout.CENTER);
		this.getContentPane().add(panelInferior, BorderLayout.SOUTH);

		for (int i = 0; i < frmUsuarios.length; i++)
		{
			frmUsuarios[i].setOpaque(true);
			frmUsuarios[i].setContentAreaFilled(false);
			frmUsuarios[i].setBackground(Global.COLOR_CONTENIDO);
			frmUsuarios[i].setFont(Global.FONT_ADMIN_USER);
		}
	}

	private void seleccionarFichero()
	{
		JFileChooser fileChooser = new JFileChooser();

		fileChooser.setCurrentDirectory(new File(System.getProperty("user.home")));
		FileFilter filter1 = new ExtensionFileFilter("TICa Doc", new String[] { Global.DOC_EXT });
		fileChooser.setFileFilter(filter1);
		int seleccion = fileChooser.showOpenDialog(rootPane);
		if(seleccion == JFileChooser.APPROVE_OPTION)
		{
			selRutaFichero = fileChooser.getSelectedFile().getAbsolutePath();
			selNombreFichero = fileChooser.getSelectedFile().getName();
			frmTxtFichero.setText(selNombreFichero);
			frmTxtFichero.setActionCommand(selNombreFichero);
			frmCopiar.setEnabled(true);
		}
	}

	public void actionPerformed(ActionEvent arg0)
	{
		for (int i = 0; i < frmUsuarios.length; i++)
		{
			if(arg0.getSource() == frmUsuarios[i])
			{
				if(frmUsuarios[i].getBackground() == COLORSELECCION)
				{
					frmUsuarios[i].setOpaque(true);
					frmUsuarios[i].setContentAreaFilled(false);
					frmUsuarios[i].setBackground(Global.COLOR_CONTENIDO);
					usuariosSel.remove(frmUsuarios[i].getActionCommand());
					if(usuariosSel.size() == 0) frmCopiar.setEnabled(false); // Si no hay ningun usuario seleccionado, no se puede copiar
				}
				else
				{
					frmUsuarios[i].setOpaque(true);
					frmUsuarios[i].setContentAreaFilled(false);
					frmUsuarios[i].setBackground(COLORSELECCION);
					usuariosSel.add(frmUsuarios[i].getActionCommand());
					frmCopiar.setEnabled(true); // Hay algún usuario seleccionado, se puede copiar
				}
			}
		}

		if(arg0.getSource() == frmFichero)
		{
			seleccionarFichero();
		}
		else if(arg0.getSource() == frmCopiar)
		{
			copiarFicheros();
		}
		else if(arg0.getSource() == frmComboUsuario && frmComboUsuario.getItemCount() > 0) // Si hay elementos en el combo
		{
			String us = (String) frmComboUsuario.getSelectedItem();
			// Si hay elementos en la lista
			if(!us.isEmpty())
			{
				frmComboFicheros.setVisible(true); // Si es diferente de vacio se muestran los ficheros del usuario
				frmLabelOpt1Txt2.setVisible(true);
				frmLabelOpt1Txt3.setVisible(true);
			}
			else
			{
				frmComboFicheros.setVisible(false); // Si no hay usuario no se visualiza el combo ficheros
				frmLabelOpt1Txt2.setVisible(false);
				frmLabelOpt1Txt3.setVisible(false);
			}

			frmComboFicheros.removeAllItems(); // Vacio el combo

			String idus = us.split("-")[0];
			idus = idus.trim(); // Obtengo el id del usuario

			cambiarEstadoBoton(idus); // No se puede seleccionar como destino en la copia del fichero

			if(!us.isEmpty())
			{
				Vector<String> ve = mostrarFicherosUsuario(idus);

				for (int i = 0; i < ve.size(); i++)
				{
					frmComboFicheros.addItem(ve.get(i));
				}
				frmCopiar.setEnabled(true);
			}
			else
			{
				frmCopiar.setEnabled(false); // Si no se ha seleccionado un fichero
			}
		}
		else if(arg0.getSource() == frmChkInterno)
		{
			seleccionarInterno();
			frmCopiar.setEnabled(false);

		}
		else if(arg0.getSource() == frmChkExterno)
		{
			seleccionarExterno();
			if(frmTxtFichero.getText().isEmpty())
			{
				frmCopiar.setEnabled(false); // Si no se ha seleccionado un fichero
			}
			else
			{
				frmCopiar.setEnabled(true);
			}
			// de forma previa
		}

	}

	private void copiarFicheros()
	{
		int c = 0;
		for (int i = 0; i < usuariosSel.size(); i++)
		{
			if(selRutaFichero != null && usuariosSel.get(i) != "666") // Usuario 666 exportar
			{
				if(DataUsers.isTICaDocFile(selNombreFichero)) // Si es un fichero con extensión TICa lo copia
				{
					String nombrefichero = selNombreFichero.split("\\.")[0];
					// String nombrefichero = selNombreFichero;
					DataUsers.insertDocumentFileAndDB(selRutaFichero, nombrefichero, usuariosSel.get(i));
					c = 1;
				}
			}

			if(frmComboFicheros.getSelectedItem() != null && usuariosSel.get(i) != "666")
			{
				String iduser = (String) frmComboUsuario.getSelectedItem();
				String doc = (String) frmComboFicheros.getSelectedItem();
				String namedoc = null;
				iduser = iduser.split("-")[0];
				iduser = iduser.trim();
				String iddoc = doc.split("-")[0];
				iddoc = iddoc.trim();
				namedoc = doc.split("-")[1];
				namedoc = namedoc.trim();

				String rfichero = Global.USERS_FOLDER + File.separator + iduser + File.separator + iddoc + "." + Global.DOC_EXT;

				if(!iduser.equals(usuariosSel.get(i))) // Para que un usuario no pueda copiarse un fichero así mismo
				{
					DataUsers.insertDocumentFileAndDB(rfichero, namedoc, usuariosSel.get(i));
					c = 1;
				}
			}

			if(frmComboFicheros.getSelectedItem() != null && usuariosSel.get(i) == "666")
			{
				String iduser = (String) frmComboUsuario.getSelectedItem();
				String doc = (String) frmComboFicheros.getSelectedItem();
				String namedoc = null;

				iduser = iduser.split("-")[0];
				iduser = iduser.trim();
				String iddoc = doc.split("-")[0];
				iddoc = iddoc.trim();
				namedoc = doc.split("-")[1];
				String rorig = Global.USERS_FOLDER + File.separator + iduser + File.separator + iddoc + "." + Global.DOC_EXT;
				String rdest = exportarFicheroDestino(namedoc + "." + Global.DOC_EXT);
				DataUsers.copyFile(new File(rorig), new File(rdest));
				c = 1;
			}
		}

		if(c > 0)
		{
			JOptionPane.showMessageDialog(this, TXTFICHEROCOPIADO);
			Vector<String> ve = mostrarUsuarios();
			frmComboUsuario.removeAllItems();
			for (int i = 0; i < ve.size(); i++)
			{
				frmComboUsuario.addItem((String) ve.elementAt(i));
			}
			selRutaFichero = null; // Despues de copiar no hay fichero seleccionado
			frmTxtFichero.setText(""); // No se ha seleccionado ningún fichero
		}
	}

	private String exportarFicheroDestino(String defaultFileName)
	{
		JFileChooser fileChooser = new JFileChooser();

		fileChooser.setCurrentDirectory(new File(System.getProperty("user.home")));
		fileChooser.setSelectedFile(new File(defaultFileName));
		fileChooser.setDialogTitle(TXTEXPORTAR);
		int seleccion = fileChooser.showSaveDialog(rootPane);
		if(seleccion == JFileChooser.APPROVE_OPTION)
		{
			String ruta = fileChooser.getSelectedFile().getAbsolutePath();
			return ruta;
		}

		return null;
	}

	public static void main(String arg[])
	{
		try
		{
			VentanaAdminCopiar frame = new VentanaAdminCopiar(new VentanaAdminUsuarioSel(1));
			frame.setVisible(true);
		}
		catch (Exception e)
		{
			System.out.println(e);
		}
	}

	private int tamImgUsuario(int nuser)
	{
		int x = PICT_SIZE * (NMAXUSER / nuser);
		if(x > 30) x = 30;
		if(nuser > 10) x = 30;

		return x;
	}
}
